#!/bin/bash
# Date : (2021-11-17)
# Distribution used to test : Debian Bullseye 64-bit
# Author : MarcelG
# Licence : GNU GPLv3
# PlayOnLinux: 4.3.4
# Howto: In Playonlinux/Playonmac select "Tools->Execute locale script" to run this setup script
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
       
PREFIX="LaserGRBL"
WINEVERSION="5.22"
TITLE="LaserGRBL"
EDITOR="arkypita"
GAME_URL="https://lasergrbl.com"
AUTHOR="MarcelG"
       
#Initialization
POL_System_TmpCreate "LaserGRBLSetup"
#Base64 encoded LaserGRBL Setup Icon:
cat << EOF >> $POL_System_TmpDir/LaserGRBL_top.b64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EOF
cat << EOF >> $POL_System_TmpDir/LaserGRBL_left.b64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EOF
cat $POL_System_TmpDir/LaserGRBL_top.b64 | base64 -d >> $POL_System_TmpDir/LaserGRBL_top.jpg
cat $POL_System_TmpDir/LaserGRBL_left.b64 | base64 -d >> $POL_System_TmpDir/LaserGRBL_left.jpg
#ToDo: Load images from file or server
POL_GetSetupImages "$POL_System_TmpDir/LaserGRBL_top.jpg" "$POL_System_TmpDir/LaserGRBL_left.jpg""$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2316


POL_Debug_Init

# Presentation
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

#Show license information
cd $POL_System_TmpDir
POL_Download "https://raw.githubusercontent.com/arkypita/LaserGRBL/master/LICENSE.md"
POL_SetupWindow_licence "Licence:" "$TITLE" "$POL_System_TmpDir/LICENSE.md"

#Choose installation method
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
 
if [ "$INSTALL_METHOD" = "LOCAL" ] ; then
	cd ~/Downloads
	POL_SetupWindow_browse "$(eval_gettext 'Please select $TITLE install file.')" "$TITLE"
	INSTALLER="$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ] ; then
	cd $POL_System_TmpDir
	LATEST_DOWNLOAD_URL=$(curl -s https://api.github.com/repos/arkypita/LaserGRBL/releases/latest | grep browser_download_url | cut -d '"' -f 4)
	POL_Download "$LATEST_DOWNLOAD_URL"
	INSTALLER="install.exe"
fi

# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"
POL_System_SetArch 'x86'
export WINEARCH='win32'
 
# Configuration
Set_OS "win7"
 
#Dependencies
POL_Install_gdiplus
POL_Install_msxml3

# Installation
POL_SetupWindow_message "$(eval_gettext 'WARNING: Please proceed setup with default settings and uncheck "Launch LaserGRBL" after setup process. Otherwise Playonlinux will not continue!')" "$TITLE"
Set_OS "win7"
POL_Wine_WaitBefore "$TITLE"
POL_Wine "$INSTALLER"
POL_Wine_WaitExit "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'NOTICE: Please make sure to set up your Laser Machine connection using Regedit and also create a link to your tty-device! Sometimes it is also required to add user to dialout group in addition: sudo usermod -a -G dialout $USER')" "$TITLE"

#Laser Engravor tty to com port setup
POL_SetupWindow_question "$(eval_gettext 'Do you want to link you laser engravor to a com port automatically?')" "Title"

if [ "$APP_ANSWER" = "TRUE" ] ; then
	POL_SetupWindow_message "$(eval_gettext 'NOTICE: Please connect your laser engraver to your system and turn it on!')" "$TITLE"
	TTY_DEVS=$(ls /dev/tty* | tr "\n" "~")
	
	POL_SetupWindow_menu_list "$(eval_gettext 'What is your laser engravers com port device? (mostly /dev/ttyUBS0 or /dev/AMA0')" "$TITLE" "$TTY_DEVS" "~"
	MY_TTY=$APP_ANSWER

	POL_SetupWindow_menu_list "$(eval_gettext 'To which com port shall it be assigned?')" "$TITLE" "com1~com2~com3~com4~com5~com6~com7~com8~com9~com10" "~"
	MY_COM=$APP_ANSWER
	
	printf "Windows Registry Editor Version 5.00\r\n" >> $POL_System_TmpDir/lasergrbl_port.reg
	printf "\r\n" >> $POL_System_TmpDir/lasergrbl_port.reg
	printf "[HKEY_LOCAL_MACHINE\Software\Wine\Ports]\r\n" >> $POL_System_TmpDir/lasergrbl_port.reg
	printf "\"$MY_COM\"=\"$MY_TTY\"\r\n" >> $POL_System_TmpDir/lasergrbl_port.reg
	printf "\r\n" >> $POL_System_TmpDir/lasergrbl_port.reg

	POL_SetupWindow_question "$(eval_gettext 'Do you want to link you laser engravor on tty device "$MY_TTY" to com port "$MY_COM"?')" "$TITLE"

	if [[ "$APP_ANSWER" == "TRUE" ]] ; then
		$(ln -sf ${MY_TTY} ${PWD}/PlayOnLinux\'s\ virtual\ drives/${PREFIX}/dosdevices/${MY_COM})
		POL_Wine REG IMPORT $POL_System_TmpDir/lasergrbl_port.reg
		POL_SetupWindow_message "$(eval_gettext 'NOTICE: Setup com port successful!')" "$TITLE"
	fi
fi
 
# Create Shortcuts
POL_Shortcut "LaserGRBL.exe" "$TITLE"
 
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0
